%global somajor 1
%global libname %mklibname %{name} %{somajor}
%global devname %mklibname %{name} -d

Summary: An utility for manipulating storage encryption keys and passphrases
Name: volume_key
Version: 0.3.12
Release: %mkrel 3
# lib/{SECerrs,SSLerrs}.h are both licensed under MPLv1.1 and GPLv2
License: GPLv2 and (MPLv1.1 or GPLv2)
Group: System/Libraries
URL: https://pagure.io/%{name}/
Source0: https://releases.pagure.org/%{name}/%{name}-%{version}.tar.xz
BuildRequires: gcc
BuildRequires: cryptsetup-devel
BuildRequires: gettext-devel
BuildRequires: glib2-devel
BuildRequires: gnupg2
BuildRequires: gpgme-devel
BuildRequires: libblkid-devel
BuildRequires: nss-devel
BuildRequires: python3-devel
# Needed by %%check:
BuildRequires: nss

Requires: %{libname} = %{version}-%{release}

%global desc_common The main goal of the software is to allow restoring access to an encrypted\
hard drive if the primary user forgets the passphrase.  The encryption key\
back up can also be useful for extracting data after a hardware or software\
failure that corrupts the header of the encrypted volume, or to access the\
company data after an employee leaves abruptly.

%global desc_app This package provides a command-line tool for manipulating storage volume\
encryption keys and storing them separately from volumes.\
\
%{desc_common}

%global desc_lib This package provides lib%{name}, a library for manipulating storage volume\
encryption keys and storing them separately from volumes.\
\
%{desc_common}

%global desc_python(V:) This package provides %%{-V:Python %%{-V*}}%%{!-V:Python} bindings for lib%{name}, a library for\
manipulating storage volume encryption keys and storing them separately from\
volumes.\
\
%{desc_common}\
\
%{name} currently supports only the LUKS volume encryption format.  Support\
for other formats is possible, some formats are planned for future releases.

%description
%{desc_app}

%package -n %{devname}
Summary: A library for manipulating storage encryption keys and passphrases
Group: Development/Libraries
Provides: %{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}

%description -n %{devname}
%{desc_lib}

%package -n %{libname}
Summary: A library for manipulating storage encryption keys and passphrases
Group: System/Libraries
Requires: gnupg2

%description -n %{libname}
%{desc_lib}

%package -n python3-%{name}
%{?python_provide:%python_provide python3-%{name}}
Summary: Python 3 bindings for lib%{name}
Group: Development/Python
Requires: %{libname} = %{version}-%{release}

%description -n python3-%{name}
%desc_python -V 3

%prep
%setup -q

%build
%configure2_5x --with-python=no --with-python3=yes
make %{?_smp_mflags}

%install
%make_install

# Remove libtool archive
find %{buildroot} -type f -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_mandir}/man8/%{name}.8*

%files -n %{devname}
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/lib%{name}.so.*

%files -n python3-%{name}
%defattr(-,root,root,-)
%{python3_sitearch}/_%{name}.so
%{python3_sitearch}/%{name}.py*
%{python3_sitearch}/__pycache__/%{name}.*



%changelog
* Sun Jun 26 2022 TerryN <terryn94 at gmail.com> 0.3.12-3pclos2022
- rebuild for python 3.10

* Thu Jun 23 2022 tex - 0.3.12-2pclos2022
- fix spec file

* Tue May 05 2022 yodelu 0.3.12-1pclos2022
-Import
